#! /bin/sh
# ***************************************************
# ** Set this variable to the java dir of your system
# ***************************************************
JAVA_HOME=/usr

LOCALCLASSPATH=

# add in the dependency .jar files
DIRLIBS=../../lib/*.jar
for i in ${DIRLIBS}
do
    # if the directory is empty, then it will return the input string
    # this is stupid, so case for it
    if [ "$i" != "${DIRLIBS}" ] ; then
      if [ -z "$LOCALCLASSPATH" ] ; then
        LOCALCLASSPATH=$i
      else
        LOCALCLASSPATH="$i":$LOCALCLASSPATH
      fi
    fi
done

LOCALCLASSPATH=../../bin/:../../soccerscope/src/main/java:../../robocup/src/main/java;$LOCALCLASSPATH

$JAVA_HOME/bin/java -Xmx640m -Xmx768m -cp $LOCALCLASSPATH robocup.component.RobocupAgent DAINAMITE 10.0.4.9 goalie.conf defender.conf defender.conf defender.conf defender.conf player.conf player.conf player.conf player.conf player.conf player.conf coach.conf
