/*LICENSE_BEGIN
 * ******************************************************************
 * Copyright 2006 by the Dainamite Robocup-Team at the
 * DAI-Labor, TU-Berlin (www.dai-labor.de)
 * 
 * Members of Dainamite are:
 * Holger Endert
 * Robert Wetzker
 * Thomas Karbe
 * Axel Heßler
 * Philippe Bütter
 * Felix Brossmann
 * 
 * Licensed under the GNU GPL (General Public License) Free Software 
 * License, Version 2. You may use this file only in compliance with 
 * the License. You may obtain a copy of the License at:
 * 
 * http://www.fsf.org/licensing/licenses/gpl.txt
 * ******************************************************************
LICENSE_END*/
package robocup.component.speechacts.coachlanguage;

public class ActivationElement {

	private boolean ruleOn;

	private IdList ruleList = null;

	public boolean isRuleOn() {
		return ruleOn;
	}

	public void setRuleOn(boolean ruleOn) {
		this.ruleOn = ruleOn;
	}

	public IdList getRuleList() {
		return ruleList;
	}

	public void setRuleList(IdList idList) {
		this.ruleList = idList;
	}

	public String toString() {
		if (ruleOn)
			return "(on" + ruleList.toString() + ")";
		else
			return "(off" + ruleList.toString() + ")";
	}

}
