/*LICENSE_BEGIN
 * ******************************************************************
 * Copyright 2006 by the Dainamite Robocup-Team at the
 * DAI-Labor, TU-Berlin (www.dai-labor.de)
 * 
 * Members of Dainamite are:
 * Holger Endert
 * Robert Wetzker
 * Thomas Karbe
 * Axel Heßler
 * Philippe Bütter
 * Felix Brossmann
 * 
 * Licensed under the GNU GPL (General Public License) Free Software 
 * License, Version 2. You may use this file only in compliance with 
 * the License. You may obtain a copy of the License at:
 * 
 * http://www.fsf.org/licensing/licenses/gpl.txt
 * ******************************************************************
LICENSE_END*/
package robocup.component.speechacts.coachlanguage;

import java.util.LinkedList;

public class Definerset {

	private String name = "";

	private LinkedList<Integer> idList = new LinkedList<Integer>();

	public void addId(int id) {
		this.idList.add(id);
	}

	public LinkedList<Integer> getIdList() {
		return idList;
	}

	public void setIdList(LinkedList<Integer> idList) {
		this.idList = idList;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	private String listToString() {
		StringBuffer buf = new StringBuffer();

		for (int i : idList) {
			buf.append(" " + i);
		}
		return buf.toString();
	}

	public String toString() {
		return "(definerset " + this.name + this.listToString() + ")";
	}

}
