/*LICENSE_BEGIN
 * ******************************************************************
 * Copyright 2006 by the Dainamite Robocup-Team at the
 * DAI-Labor, TU-Berlin (www.dai-labor.de)
 * 
 * Members of Dainamite are:
 * Holger Endert
 * Robert Wetzker
 * Thomas Karbe
 * Axel Heßler
 * Philippe Bütter
 * Felix Brossmann
 * 
 * Licensed under the GNU GPL (General Public License) Free Software 
 * License, Version 2. You may use this file only in compliance with 
 * the License. You may obtain a copy of the License at:
 * 
 * http://www.fsf.org/licensing/licenses/gpl.txt
 * ******************************************************************
LICENSE_END*/
package robocup.component.speechacts.coachlanguage;

import java.util.LinkedList;

public class RuleMessage {

	private LinkedList<ActivationElement> activationList = new LinkedList<ActivationElement>();

	public void addActivationElement(ActivationElement activationElement) {
		this.activationList.add(activationElement);
	}

	public LinkedList<ActivationElement> getActivationList() {
		return activationList;
	}

	public void setActivationList(LinkedList<ActivationElement> activationList) {
		this.activationList = activationList;
	}

	public String toString() {
		StringBuffer buf = new StringBuffer();
		buf.append("(rule ");
		for (ActivationElement ae : activationList)
			buf.append(ae.toString());
		buf.append(")");
		return buf.toString();
	}

}
