package sk.robocup.dvanastyhrac.tactics.formation;

import robocup.component.geometry.Vektor;

/**
 * @author RuBy
 * 
 */
public class PlayerFormationInfo12 {

	private Vektor homePosition;
	private boolean isBehindBall;
	private double maxY;
	private double minY;
	private double attractionX;
	private double attractionY;

	/**
	 * The types of Formations
	 */
	public enum FORMATION {
		UNKNOWN, ATTACK, DEFENSE, ATTACK_EVO, DEFENSE_EVO, MAX_OFFENSIVE, MAX_DEFENSIVE, ATTACK1, DEFENSE1
	}

	public PlayerFormationInfo12() {

	}
	
	public PlayerFormationInfo12(Vektor homePosition, boolean isBehindBall,
			double maxY, double minY, double attractionX, double attractionY) {
		super();
		this.homePosition = homePosition;
		this.isBehindBall = isBehindBall;
		this.maxY = maxY;
		this.minY = minY;
		this.attractionX = attractionX;
		this.attractionY = attractionY;
	}



	public Vektor getHomePosition() {
		return homePosition;
	}

	public void setHomePosition(Vektor homePosition) {
		this.homePosition = homePosition;
	}

	public double getAttractionX() {
		return attractionX;
	}

	public void setAttractionX(double attractionX) {
		this.attractionX = attractionX;
	}

	public double getAttractionY() {
		return attractionY;
	}

	public void setAttractionY(double attractionY) {
		this.attractionY = attractionY;
	}

	public boolean isBehindBall() {
		return isBehindBall;
	}

	public void setBehindBall(boolean isBehindBall) {
		this.isBehindBall = isBehindBall;
	}

	public double getMaxY() {
		return maxY;
	}

	public void setMaxY(double maxY) {
		this.maxY = maxY;
	}

	public double getMinY() {
		return minY;
	}

	public void setMinY(double minY) {
		this.minY = minY;
	}

}
