@echo off
rem ****************************************************** 
rem ** Set this variable to your Java 1.5 (or higher) 
rem ** directory.
rem ******************************************************
set JAVA_HOME=C:\Programme\Java\jdk1.5.0_05

rem ****************************************************** 
rem ** If the project structure is kept, this must not
rem ** be changed. Note that the bin-directory contains
rem ** the class files.
rem ******************************************************
set LOCALCLASSPATH=
for %%i in ("..\..\lib\*.jar") do call "lcp.bat" %%i
set LOCALCLASSPATH=..\..\bin\;..\..\soccerscope\src\main\java;..\..\robocup\src\main\java;%LOCALCLASSPATH%

rem ****************************************************** 
rem ** Here, all arguments are set and given to the java
rem ** call:
rem ** 1. TEAMNAME - name, with which the agents connect
rem **    to the server.
rem ** 2. RCSSHOST - the servers ip (may be localhost)
rem ** 3. GOALIE - config file of the goalie
rem ** 4. DEFENDER - config files of the defenders
rem ** 5. PLAYER - config files of the other players
rem ** 6. COACH - config file of the coach 
rem ** 7. Use gui or not
rem ******************************************************
set TEAMNAME=DAINAMITE
set RCSSHOST=10.0.4.9
set GOALIE=..\agents\goalie.conf
set DEFENDER=..\agents\defender.conf ..\agents\defender.conf ..\agents\defender.conf ..\agents\defender.conf
set PLAYER=..\agents\player.conf ..\agents\player.conf ..\agents\player.conf ..\agents\player.conf ..\agents\player.conf ..\agents\player.conf 
set COACH=..\agents\coach.conf
set GUI=true

rem ****************************************************** 
rem ** If you have less than 1GB ram, reduce the Xmx and 
rem ** Xms settings (heapsize). About 512MB Xms are 
rem ** recommended.
rem ******************************************************
%JAVA_HOME%\bin\java -Xms640m -Xmx768m -cp %LOCALCLASSPATH% -Dgui-connect=%GUI% robocup.component.RobocupAgent %TEAMNAME% %RCSSHOST% %GOALIE% %DEFENDER% %PLAYER% %COACH%
