/*LICENSE_BEGIN
 * ******************************************************************
 * Copyright 2006 by the Dainamite Robocup-Team at the
 * DAI-Labor, TU-Berlin (www.dai-labor.de)
 * 
 * Members of Dainamite are:
 * Holger Endert
 * Robert Wetzker
 * Thomas Karbe
 * Axel Heßler
 * Philippe Bütter
 * Felix Brossmann
 * 
 * Licensed under the GNU GPL (General Public License) Free Software 
 * License, Version 2. You may use this file only in compliance with 
 * the License. You may obtain a copy of the License at:
 * 
 * http://www.fsf.org/licensing/licenses/gpl.txt
 * ******************************************************************
LICENSE_END*/
package robocup.component.speechacts.coachlanguage;

public class Bto {

	private UnumSet unumSet = null;

	private Region region = null;

	private BmoveSet bmoveSet = null;

	public BmoveSet getBmoveSet() {
		return bmoveSet;
	}

	public void setBmoveSet(BmoveSet bmoveSet) {
		this.bmoveSet = bmoveSet;
	}

	public Region getRegion() {
		return region;
	}

	public void setRegion(Region region) {
		this.region = region;
	}

	public UnumSet getUnumSet() {
		return unumSet;
	}

	public void setUnumSet(UnumSet unumSet) {
		this.unumSet = unumSet;
	}

	public String toString() {
		if (this.unumSet == null) {
			return this.region.toString() + " " + this.bmoveSet.toString();
		} else
			return this.unumSet.toString();
	}

}
