/*LICENSE_BEGIN
 * ******************************************************************
 * Copyright 2006 by the Dainamite Robocup-Team at the
 * DAI-Labor, TU-Berlin (www.dai-labor.de)
 * 
 * Members of Dainamite are:
 * Holger Endert
 * Robert Wetzker
 * Thomas Karbe
 * Axel Heßler
 * Philippe Bütter
 * Felix Brossmann
 * 
 * Licensed under the GNU GPL (General Public License) Free Software 
 * License, Version 2. You may use this file only in compliance with 
 * the License. You may obtain a copy of the License at:
 * 
 * http://www.fsf.org/licensing/licenses/gpl.txt
 * ******************************************************************
LICENSE_END*/
package robocup.component.speechacts.coachlanguage;

public class PointArith {

	private String op = "";

	private CPoint point = null;

	private PointArith pointArithLeft = null;

	private PointArith pointArithRight = null;

	public CPoint getPoint() {
		return point;
	}

	public void setPoint(CPoint point) {
		this.point = point;
	}

	public PointArith getPointArithLeft() {
		return pointArithLeft;
	}

	public void setPointArithLeft(PointArith pointArithLeft) {
		this.pointArithLeft = pointArithLeft;
	}

	public PointArith getPointArithRight() {
		return pointArithRight;
	}

	public void setPointArithRight(PointArith pointArithRight) {
		this.pointArithRight = pointArithRight;
	}

	public String getOp() {
		return op;
	}

	public void setOp(String op) {
		this.op = op;
	}

	public String toString() {
		StringBuffer buf = new StringBuffer();

		if (this.point != null)
			buf.append(this.point.toString());
		if (this.pointArithLeft != null)
			buf.append(this.pointArithLeft.toString());
		if (this.pointArithRight != null) {
			buf.append(" " + this.op + " ");
			buf.append(this.pointArithRight.toString());
		}

		return buf.toString();
	}

}
