/*LICENSE_BEGIN
 * ******************************************************************
 * Copyright 2006 by the Dainamite Robocup-Team at the
 * DAI-Labor, TU-Berlin (www.dai-labor.de)
 * 
 * Members of Dainamite are:
 * Holger Endert
 * Robert Wetzker
 * Thomas Karbe
 * Axel Heßler
 * Philippe Bütter
 * Felix Brossmann
 * 
 * Licensed under the GNU GPL (General Public License) Free Software 
 * License, Version 2. You may use this file only in compliance with 
 * the License. You may obtain a copy of the License at:
 * 
 * http://www.fsf.org/licensing/licenses/gpl.txt
 * ******************************************************************
LICENSE_END*/
package robocup.component.speechacts.coachlanguage;

public class TypeConstants {

	public enum MESSAGETYPE {
		INIT, FREEFORM, DEFINE, RULE, ADVICE, INFO, META, DELETE
	}

	public enum DEFINETYPE {
		INIT, DEFINEA, DEFINEC, DEFINED, DEFINER, DEFINERSET, DEFINERULE
	}

	public enum ACTIONTYPE {
		INIT, POS, HOME, MARK, MARKL_UNUM, MARKL_REGION, OLINE, HTYPE, PASS_REGION, PASS_UNUM, DRIBBLE, CLEAR, SHOOT, HOLD, INTERCEPT, APPROACH_BALL, BTO, TACKLE, NAME
	}

	public enum CONDITIONTYPE {
		INIT, FALSE, TRUE, PLAYM, UNUM, BOWNER, BPOS, PPOS, CONDCOMP, NOT, AND, OR, NAME
	}

	public enum CONDCOMPTYPE {
		INIT, TIME, OPP_GOALS, OUR_GOALS, GOAL_DIFF
	}

	public enum REGIONTYPE {
		INIT, NULL, REC, POINT, TRI, QUAD, REG, ARC, NAME
	}

	public enum POINTTYPE {
		INIT, BALL, XY, XY_POINT, UNUM, POINT_ARITH
	}

}
