package sk.robocup.dvanastyhrac.tactics;

import sk.robocup.dvanastyhrac.actionfactories.AttentionToActionFactory12;
import robocup.component.tactics.SearchBallState;
import robocup.component.tactics.StateEvaluation;

/**
 * State rozsirujuci SearchBall state o attention to action vypocitane na zaklade
 * pozicie lopty a spoluhracov na ihrisku
 * @author polak.marek
 */
public class SearchBallWithAttState12 extends SearchBallState {

    public SearchBallWithAttState12(StateEvaluation parent) {

        super(parent);
        this.state = STATES.SEARCH_BALL;

    }

    @Override
    public void calculateAttentionToAction() {
        this.attentionToAction = AttentionToActionFactory12.getAttentionToAction(this);

        //if we got null, compute default
        if (this.attentionToAction == null) {
            super.calculateAttentionToAction();
        }
    }
}
